Re: [Spip-es] Ayuda con la Actalizacion de SPIP 2.0.3 a 3.0.17

From : pnieto@... , the 4th September 2014 21:21

Re: [Spip-es] Ayuda con la Actalizacion de SPIP 2.0.3 a 3.0.17 Hola ____KoyotE__, El miércoles, 03 de septiembre de 2014, 21:18:02, escribiste: por favor podeis ser mas concretos ?? o hay algun sitio con los pasos detallados?? "Paso a paso, Garcilaso" :-) Los pasos detallados los tienes en estos enlaces (en francés): http://www.spip.net/fr_rubrique151.html http://www.spip.net/fr_article5705.html  http://www.spip.net/fr_article5693.html  Las traducciones al inglés (http://www.spip.net/en_rubrique32.html) y al castellano (http://www.spip.net/en_rubrique32.html) se encuentran desfasadas, pero es posible que la mecánica de actualización que en ellas se describen te puedan servir. >  permisos de ejecución de spip_loader.php ??  como lo hago?? Que no cunda el pánico. Te transmito nuestra experiencia de pasar de un versión 2.x.x a 3.x.x (siempre con spip_loader.php): - Por si no lo tienes hecho ya, actualiza spip_loader.php a la última versión, 2.5.2, en este enlace: http://www.spip.net/spip-dev/INSTALL/spip_loader.php  - Y "llama" al script desde tu navegador: http://www.monsite.tld/spip_loader.php Como no se casan de repetirnos los expertos de SPIP del foro, es recomendable antes de "llamar" al script: 1) Hacer copia de respaldo de la base de datos. 2) Desactivar los plugins (al pasar de la versión 2.x.x a la 3.x.x, es posible, y más que probable, que algunos plugins queden obsoletos y puedan bloquear el sitio). 3) Vaciar la caché y el directorio /tmp (esto último vía ftp). 4) "Llamar" al script: http://www.monsite.tld/spip_loader.php > que hago con mis esqueletos antiguos modificados?? Que siga sin cundir el pánico: no tiene que pasar nada y deben seguir funcionando con normalidad una vez realizada la actualización automática con spip_loader.php (la actualización no afecta a los esqueletos). > machaco una estructura existente de archivos antiguos y funcionando > simplemente por los nuevos via ftp?? Con la actualización automática que te hace spip_loader.php no te va a hacer falta: él lo hace por ti. > Me entendeis???  como desactivo plugins??   como guardo Y DONDE los ficheros modificados?? Si no recuerdo mal, desgraciadamente, en SPIP anterior a la versión 3.x.x, la desactivación de los plugins ha de hacerse uno a uno (con la actualización, no será sólo esto lo que agracezcas a SPIP). Si todo ha ido correctamente, sólo necesitarás activar/actualizar los plugins que hayas desactivado (con la nueva versión, notarás la diferencia al activar y al actualizar los plugins, entre otras muchas cosas). --  Poka!, "Политика есть концентрированное выражение экономики"   (В.И.Ленин)  Pasha  http://www.ventanarusia.es